<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateRomanahGokbakjaProductionMachine extends Migration
{
    public function up()
    {
        Schema::create('romanah_gokbakja_production_machine', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->integer('type_id');
            $table->integer('size_id');
            $table->integer('machine_id');
            $table->double('produced_weight', 10, 0);
            $table->integer('employee_id');
            $table->integer('mechanic_id');
            $table->text('note')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('romanah_gokbakja_production_machine');
    }
}
